//-----------------------------------------------------------------------------
// Copyright  2003 - Philip Howard - All rights reserved
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//-----------------------------------------------------------------------------
// package	libh/helloworld
// homepage	http://libh.slashusr.org/
//-----------------------------------------------------------------------------
// author	Philip Howard
// email	libh at ipal dot org
// homepage	http://phil.ipal.org/
//-----------------------------------------------------------------------------
// This file is best viewed using a fixed spaced font such as Courier
// and in a display at least 120 columns wide.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// file		helloworld.h
//-----------------------------------------------------------------------------
#ifndef __HELLOWORLD_H__
#define __HELLOWORLD_H__

#include <stdio.h>
//-----------------------------------------------------------------------------
// macro	HELLOWORLD
//
// purpose	Demostrate the organization of this library with a very simple
//		macro to output the string "Hello world!" to the standard
//		output.
//
// arguments	1 (FILE *) which open file stream to output to.
//
// returns	(int) >= 0 : success
//		(int) == EOF : error
//-----------------------------------------------------------------------------
#define HELLOWORLD(fp) (fputs("Hello world!\n",((fp)?(fp):(stdout))))

//-----------------------------------------------------------------------------
// function	helloworld
//
// purpose	Demostrate the organization of this library with a very simple
//		function to output the string "Hello world!" to the standard
//		output.
//
// arguments	1 (FILE *) which open file stream to output to.
//
// returns	(int) >= 0 : success
//		(int) == EOF : error
//-----------------------------------------------------------------------------
int
helloworld (
    FILE *	arg_file_p
    )
;

#endif /* __HELLOWORLD_H__ */
