//-----------------------------------------------------------------------------
// Copyright  2003 - Philip Howard - All rights reserved
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307	 USA
//-----------------------------------------------------------------------------
// package	libh/html
// homepage	http://libh.slashusr.org/
//-----------------------------------------------------------------------------
// author	Philip Howard
// email	libh at ipal dot org
// homepage	http://phil.ipal.org/
//-----------------------------------------------------------------------------
// This file is best viewed using a fixed spaced font such as Courier
// and in a display at least 120 columns wide.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// file		html.h
//
// purpose	Define resources used by and with the html library.
//-----------------------------------------------------------------------------
#ifndef __HTML_H__
#define __HTML_H__

//-----------------------------------------------------------------------------
// function	html_asis							
//									
// purpose	Output a string so that it displays as is in HTML.
//		Any HTML in the string is encoded so that the HTML
//		code simply appears to the user of the browser.
//		Also control characters will appear as equivalents
//		in a backslash or carat encoded way.
//									
// arguments	1 (char *) pointer to character string			
//		2 (size_t) length of character string			
//
// note		Give the length as ~0 (bit inverse of 0) to cause the
//		length to be determined by strlen() for a string that
//		is null terminated.
//									
// returns	(int) 0 : nothing meaningful
//-----------------------------------------------------------------------------
int
html_asis (
    char *  str
    ,
    size_t  len
    )
;

#endif /* __HTML_H__ */
